Subject: Re: bug#78594: [PATCH] 31.0.50; typescript-ts-mode & tsx-ts-mode does not fontify variable-use consistently

From: Yuan Fu <[email-masked]>
Date: Sun, 1 Jun 2025 15:48:56 -0700

> On May 26, 2025, at 10:02 AM, Jostein Kjønigsen <[email-masked]> wrote:
> 
> Hey everyone!
> 
> I'm an avid user of typescript-ts-mode, and I'm also very interested in seeing expanded use of font-lock-variable-use-face in Emacs. IMO it really helps highlight key structural elements of the code.
> 
> Unfortunately typescript-ts-mode (and tsx-ts-mode) is not very good, nor consistent in highlighting variable use using these new faces.
> 
> Attached is a patch which seeks to remedy the situation. Let me know what you think :) 

Thanks Jostein, these are very nice improvements! I merged the patch to master.

Would be nice to include some screenshots to illustrate the changes visually. But your comment message is very informational, and I was able to make some screenshots myself to see the change (attached).

Also the commit message format is still not quite right, but I fixed it when pushing.

Yuan